AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Get a bulk transfer

Get the status of a bulk transfer on your account

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/transfers?batch_id

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

batch_id int 32 required
This is the numeric ID of the bulk transfer you want to fetch. It is returned in the call to create a bulk transfer as data.id.

page string
This allows you fetch from a specific page e.g. setting 1 retrieves the first page.

from string
This is the start date for the query.

to string
This is the end date for the query.

include_proof boolean
This flags adds the proof (session id) of the transfer to the response.

include_provider_ref boolean
This flag include the provider reference for the transfer in the response.

include_approver_info boolean
This flag adds the approval information for the transfers to the response.

include_vat boolean
This flag includes the transfers' VAT information in the response.

include_rate boolean
This flag include the FX rate used for the transfer in the response.

include_debit_currency boolean
This flag include the debit currency for the transfer in the response.

include_retry_tag string
This flag indicates whether the transfers were retried or not.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

account_number string

bank_code string

full_name string

created_at string

currency string

debit_currency string

amount integer

fee number

status string

reference string

meta string

narration string

approver string

complete_message string

requires_approval integer

is_approved integer

bank_name string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys